package com.ruoyi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.domain.ReviewStandard;
import com.ruoyi.web.request.ReviewStandardListByPageRequest;
import com.ruoyi.web.response.ReviewStandardResponse;
import com.ruoyi.web.response.ReviewStandardTestInspectionContentResponse;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface ReviewStandardMapper extends BaseMapper<ReviewStandard> {

    List<ReviewStandard> findListByStandardIdAndType(@Param("standardId") Long standardId, @Param("type") String type);

    /**
     * 查询标准列表
     *
     * @param request
     * @return
     */
    List<ReviewStandardResponse> selectReviewStandardList(ReviewStandardListByPageRequest request);

    /**
     * 根据标准主键ID查询车型试验的检验内容
     * @param id
     * @return
     */
    List<ReviewStandardTestInspectionContentResponse> selectTestInspectionContent(Long id);
}
